Debian Bug report logs - #696195
ITP: python-jedi -- autocompletion tool for Python

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Piotr Ożarowski <piotr@debian.org>

Date: Mon, 17 Dec 2012 22:15:02 UTC

Owned by: "Piotr Ożarowski" <piotr@debian.org>

Severity: wishlist

Fixed in version python-jedi/0.5~b5-1

Done: Piotr Ożarowski <piotr@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org, "Piotr Ożarowski" <piotr@debian.org>:
Bug#696195; Package wnpp. (Mon, 17 Dec 2012 22:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Piotr Ożarowski <piotr@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org, "Piotr Ożarowski" <piotr@debian.org>. (Mon, 17 Dec 2012 22:15:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Piotr Ożarowski <piotr@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: python-jedi -- autocompletion tool for Python
Date: Mon, 17 Dec 2012 23:09:57 +0100
Package: wnpp
Severity: wishlist
Owner: "Piotr Ożarowski" <piotr@debian.org>

* Package name    : python-jedi
  Version         : 0.5~b5
  Upstream Author : David Halter <davidhalter88@gmail.com>
* URL             : https://github.com/davidhalter/jedi
* License         : LGPL-3+
  Programming Lang: Python, Vim script
  Description     : autocompletion tool for Python

 Jedi is an autocompletion tool for Python. It works. With and without syntax
 errors. Sometimes it sucks, but that's normal in dynamic languages. But it
 sucks less than other tools. It understands almost all of the basic Python
 syntax elements including many builtins.

Source package is available in DPMT repo:
http://anonscm.debian.org/viewvc/python-modules/packages/python-jedi/trunk/

I will upload it once python3-defaults is uploaded to experimental
(with new pybuild build system)

Binary packages: python-jedi, python3-jedi, vim-python-jedi



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 20 Jan 2013 07:06:03 GMT) Full text and rfc822 format available.

Reply sent to Piotr Ożarowski <piotr@debian.org>:
You have taken responsibility. (Fri, 05 Apr 2013 11:03:08 GMT) Full text and rfc822 format available.

Notification sent to Piotr Ożarowski <piotr@debian.org>:
Bug acknowledged by developer. (Fri, 05 Apr 2013 11:03:08 GMT) Full text and rfc822 format available.

Message #12 received at 696195-close@bugs.debian.org (full text, mbox):

From: Piotr Ożarowski <piotr@debian.org>
To: 696195-close@bugs.debian.org
Subject: Bug#696195: fixed in python-jedi 0.5~b5-1
Date: Fri, 05 Apr 2013 11:00:05 +0000
Source: python-jedi
Source-Version: 0.5~b5-1

We believe that the bug you reported is fixed in the latest version of
python-jedi, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 696195@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Piotr Ożarowski <piotr@debian.org> (supplier of updated python-jedi package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 19 Jan 2013 23:02:16 +0100
Source: python-jedi
Binary: python-jedi python3-jedi vim-python-jedi
Architecture: source all
Version: 0.5~b5-1
Distribution: experimental
Urgency: low
Maintainer: Piotr Ożarowski <piotr@debian.org>
Changed-By: Piotr Ożarowski <piotr@debian.org>
Description: 
 python-jedi - autocompletion tool for Python
 python3-jedi - autocompletion tool for Python 3
 vim-python-jedi - autocompletion tool for Python - VIM addon files
Closes: 696195
Changes: 
 python-jedi (0.5~b5-1) experimental; urgency=low
 .
   * Initial release (closes: #696195)
Checksums-Sha1: 
 546f8ec46ee9bc00224c8c4369dc8c7aed4b83a7 2184 python-jedi_0.5~b5-1.dsc
 84bdbe67cfed7bd1f689f9823d4f80c4a0ec4a2a 11574 python-jedi_0.5~b5.orig-vim.tar.gz
 7c73072cf660f8117364ebcbf355ce7b6e3ec8bf 71754 python-jedi_0.5~b5.orig.tar.gz
 e5f6263425561991266ceb56a4f4edff00a144dc 1771 python-jedi_0.5~b5-1.debian.tar.gz
 1c5d9baca28c23ddc32b5d09bdc2259b9e22b9ef 66924 python-jedi_0.5~b5-1_all.deb
 e9ed94461fd70216349909ebd49030e1922236de 70074 python3-jedi_0.5~b5-1_all.deb
 a12c93be22ada90e08d5c18266ec2bc15c579bda 9132 vim-python-jedi_0.5~b5-1_all.deb
Checksums-Sha256: 
 609a97cc18d2b84d9714d44426f84c4a3df6f8ee4debee2f3f5b72b1f436a30a 2184 python-jedi_0.5~b5-1.dsc
 4f9fd5bb2edddda169a51120e3d77cc181502711b685299f550a1418dae08419 11574 python-jedi_0.5~b5.orig-vim.tar.gz
 44e9cf12cf260058728eba67163440ab5d6625eef036028560abcda41a6cb883 71754 python-jedi_0.5~b5.orig.tar.gz
 1e07b1316c0259217fbe076c9e76f414b41d32df0383806d57fc1f049cc595ef 1771 python-jedi_0.5~b5-1.debian.tar.gz
 c3054fa42fb88108fea597d576cccb0d068fa7645d18fb4a9dd8715f7270af93 66924 python-jedi_0.5~b5-1_all.deb
 3f8f3788311a748fb4dae6b9a7972dd1a233f34ce35196911499fd3fc45cc479 70074 python3-jedi_0.5~b5-1_all.deb
 f0be0c36df3b2b398a35409a958839c6ece48c6ad3aab804c4c82707128ad8bd 9132 vim-python-jedi_0.5~b5-1_all.deb
Files: 
 b24ecef065760f698aadeb41aae31dc0 2184 python optional python-jedi_0.5~b5-1.dsc
 7c18611bd035b628feb3b456bc56a376 11574 python optional python-jedi_0.5~b5.orig-vim.tar.gz
 eaf183537b1fd2eb122b85c526dea729 71754 python optional python-jedi_0.5~b5.orig.tar.gz
 3d086b42306c30b4bb5628dda8600555 1771 python optional python-jedi_0.5~b5-1.debian.tar.gz
 3ea5e8400015f6a9acc52e728c4caea6 66924 python optional python-jedi_0.5~b5-1_all.deb
 679ceca955a93a702051490e3adcc933 70074 python optional python3-jedi_0.5~b5-1_all.deb
 e24877e676eda53d3e8ec57a388615ba 9132 python optional vim-python-jedi_0.5~b5-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJQ+xx8AAoJEK728aKnRXZFVE4QALBgnPTqp4ludCWtB3JaHBzX
GN9TzB2m18V5FM1gZR6bwR4XrRcOryBQyVQFWM9L2KM2AamSuKOMTQfrYSSRZJ3g
tiQ6AbYIqMG3huVoFPOzDiJsRNIne1IBL9Hk+XykURIOxsN49eWPXVce0C8hsxYw
PhEzp7XxuZckmb8wxJTtX+C7kcAeamvYVOHZVGWSVhoqbscP+V3hc48R1BlDAWqp
Iyh0md683z2EVqctgVhn2dfO9qyRAOYaEihVSV4BT3bVZgpjEI+L8enhUjgg+PIu
xUMZJYBfmWFmLovQuihCXCGPFKon2Lv0SYn5XotX4I8a6NcHGWaobY+IRwRozw59
m3YxqEwgOK8qdAOIRkhWt5fxKCWC0S88zrkWYhWYkDNr3QHAMKlEANZS1z7eh9Na
VAiomFSD8qrJ2UQ3jPHOawEsHAUKVJLiNU1c9hjBXhmr/1VXKgGSjEjlapQ1X4c2
xkdWSn23tW9tgv0HJoes6Gz3+B1DGvxakzZHbNTuln+o7mUYsWHku2bJB2Hr28mE
Nwb1gHdElp6up6jd/oCwOx8MFob0bQHDfttY1dveG+uAD6bGlESp6LZIDctLtw+o
iNWOIbOrMQoYNkX+GYtkryXR6+JpUmV/wA7lqvWUAo6TDJCbPjYrmOvVFkY5c9wc
Z0zOCIwb2Y8VO+ry6hlm
=vQ/I
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 04 May 2013 07:33:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 09:55:54 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.